<template>
	<view>
		<uni-card v-for="item in inspections"  @click="gotoInfo(item)" class="card-box" >
			<u-row customStyle="margin-bottom: 10px">
				<u-col span="2">
					<label>点检计划单:</label>
				</u-col>
				<u-col span="4">
					<label>{{item.PLAN_NO}}</label>
				</u-col>
			</u-row>
			<u-row customStyle="margin-bottom: 10px">
				<u-col span="2">
					<label>计划点检时间:</label>
				</u-col>
				<u-col span="4">
					<label>{{item.PLAN_DATE}}</label>
				</u-col>
			</u-row>
			<u-row customStyle="margin-bottom: 10px">
				<u-col span="2">
					<label>点检设备:</label>
				</u-col>
				<u-col>
					<label>{{item.EQ_NO}} - - - {{item.EQ_NAME}}</label>
				</u-col>
			</u-row>
			<u-row customStyle="margin-bottom: 10px">
				<u-col span="2">
					<label>设备型号:</label>
				</u-col>
				<u-col>
					<label>{{item.EQ_MODEL}}</label>
				</u-col>
			</u-row>
			<u-row customStyle="margin-bottom: 10px">
				<u-col span="2">
					<label>放置地点:</label>
				</u-col>
				<u-col>
					<label>{{item.DEPARTMENT}} - - - {{item.PLACE}}</label>
				</u-col>
			</u-row>
			<u-row>
				<u-col span="2">
					<label>点检方案:</label>
				</u-col>
				<u-col span="4">
					<label>{{item.WAYS}}</label>
				</u-col>
			</u-row>
	
		</uni-card>
		<u-toast ref="uToast" />
	</view>
</template>
<script>
	import {
		getEqSpotCheckItem,
	} from '../../api/spotCheck'

	export default {
		data() {
			return {
				inspections: [],
				moduleKey:0
			}
		},
		onLoad() {
			this.getEqSpotCheck()
		},
		onPullDownRefresh() {
			this.getEqSpotCheck()
			setTimeout(function () {
				uni.stopPullDownRefresh();
			}, 1000);
		},
		//onShow:function(){
		//	this.getInspections()
		//},
		methods: {
			getEqSpotCheck() {
				getEqSpotCheckItem().then(res => {
					console.log(res)
					if(!res.result) {
						this.$refs.uToast.show({
							message: res.msg,
							type: 'error'
						})
						return
					}
					this.inspections = res.data
				})
			},
			gotoInfo(e) {
				console.log(e)
				uni.navigateTo({
					url:'/pages/eqSpotCheck/eqSpotCheckInfo?item='+ encodeURIComponent(JSON.stringify(e).replace(/\%/g, '%25').replace(/\ /g,'%20').replace(/\?/g,'%3F').replace(/\+/g,'%2B').replace(/\&/g,'%26')) ,
				})
			},
			reload(){
				this.$nextTick(()=>{
					this.$refs.uToast.show({
						message: "提交成功",
						type: 'success'
					})
					this.getEqSpotCheck()
				})
			},
			
		}
	}
</script>

<style>

</style>